Bug 173201 - [ixgbe] [patch] Missing / broken ixgbe sysctl's and tunables (patch included)
Summary: [ixgbe] [patch] Missing / broken ixgbe sysctl's and tunables (patch included)
Status: Closed Overcome By Events
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: 8.3-RELEASE
Hardware: Any Any
: Normal Affects Only Me
Assignee: Eric Joyner
URL:
Keywords: IntelNetworking
Depends on:
Blocks:
 
Reported: 2012-10-30 02:40 UTC by Steven Hartland
Modified: 2019-04-07 05:56 UTC (History)
2 users (show)

See Also:


Attachments
ixgbe-sysctl.txt (8.30 KB, text/plain; format=flowed)
2012-10-30 02:55 UTC, Steven Hartland &
no flags Details
ixgbe-sysctl.txt (8.21 KB, text/plain; format=flowed)
2012-11-07 23:34 UTC, Steven Hartland &
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Steven Hartland 2012-10-30 02:40:01 UTC
Added sysctl's for ixgbe all tunables

Wired up hw.ixgbe.flow_control (was never used)

Added hw.ixgbe.advertise_speed which allows /boot/loader.conf to configure advertised speed as sysctl.conf is too late for network changes.

Made enable_aim device independent based on hw.ixgbe.enable_aim as a default.

Fix: 

Apply the attached patch
How-To-Repeat: N/A
Comment 1 Steven Hartland & 2012-10-30 02:55:48 UTC
Here's the patch

================================================
This e.mail is private and confidential between Multiplay (UK) Ltd. and the person or entity to whom it is addressed. In the event of misdirection, the recipient is prohibited from using, copying, printing or otherwise disseminating it or any information contained in it. 

In the event of misdirection, illegible or incomplete transmission please telephone +44 845 868 1337
or return the E.mail to postmaster@multiplay.co.uk.
Comment 2 Mark Linimon freebsd_committer freebsd_triage 2012-10-30 07:29:33 UTC
Responsible Changed
From-To: freebsd-bugs->freebsd-net

Over to maintainer(s).
Comment 3 Steven Hartland & 2012-11-07 23:34:39 UTC
Updated patch that applies to HEAD as of yesterday.

================================================
This e.mail is private and confidential between Multiplay (UK) Ltd. and the person or entity to whom it is addressed. In the event of misdirection, the recipient is prohibited from using, copying, printing or otherwise disseminating it or any information contained in it. 

In the event of misdirection, illegible or incomplete transmission please telephone +44 845 868 1337
or return the E.mail to postmaster@multiplay.co.uk.
Comment 4 Sean Bruno freebsd_committer 2015-06-30 18:02:31 UTC
These are still valid and applicable patches.  They no longer apply cleanly(due to splitting of the driver), but they are definitely worth reviewing and updating.
Comment 5 Eitan Adler freebsd_committer freebsd_triage 2018-05-28 19:49:16 UTC
batch change:

For bugs that match the following
-  Status Is In progress 
AND
- Untouched since 2018-01-01.
AND
- Affects Base System OR Documentation

DO:

Reset to open status.


Note:
I did a quick pass but if you are getting this email it might be worthwhile to double check to see if this bug ought to be closed.
Comment 6 Ozkan KIRIK 2019-04-01 15:34:46 UTC
These tunables are already added to available versions and FreeBSD 8.3 reached to EOL.
This is case should be closed.